import { createApp } from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import * as echarts from 'echarts';
import ElementPlus from 'element-plus';
import 'element-plus/lib/theme-chalk/index.css';
import locale from 'element-ui/lib/locale/lang/zh-CN'
import base from "./utils/baseTool.js"
const app = createApp(App)
app.config.globalProperties.$echarts = echarts
app.config.globalProperties.$base = base
app.use(store)
app.use(router)
app.use(ElementPlus, { locale })
app.mount('#app')
