import { createStore } from 'vuex'

// 创建一个新的 store 实例
const store = createStore({
     // 值的存储  获取: this.$store.state.xxxx
     state() {
          return {
               windturbinelist: Object,  // 服务器推送的风机详细信息
               warning: Object,
               suggestion: [],
               observers: true,
               titleInfo: Object,
               token: "",
               current: 1,
               syzAlarmArray: [],
               syzDialogShow: false,
               syzAlarmRank: "6", // 升压站报警级别， === 此级别会报警
               fjAlarmRank: "6", // 风机报警级别， >= 此级别会报警
               currentWarningCardClass: "", // 升压站弹窗右下角表格 class 
               syzBtnFlicker: false, // 升压站按钮本身是否闪烁以提示有未处理报警
               // 升压站列表
               syzArray: [
                    {
                         id: "MHS_FDC", // 升压站 ID
                         isWarning: "0", // 升压站是否显示报警小红点
                         name: "麻黄山", // 升压站中文名称
                         isMute: false, // 升压站报警是否静音
                    },
                    {
                         id: "NSS_FDC",
                         isWarning: "0",
                         name: "牛首山",
                         isMute: false,
                    },
                    {
                         id: "QS_FDC",
                         isWarning: "0",
                         name: "青山",
                         isMute: false,
                    },
                    {
                         id: "SBQ_FDC",
                         isWarning: "0",
                         name: "石板泉",
                         isMute: false,
                    },
                    {
                         id: "XS_FDC",
                         isWarning: "0",
                         name: "香山",
                         isMute: false,
                    },
                    {
                         id: "DWK_GDC",
                         isWarning: "0",
                         name: "大武口",
                         isMute: false,
                    },
                    {
                         id: "QS3_FDC",
                         isWarning: "0",
                         name: "青山三期",
                         isMute: false,
                    },
                    {
                         id: "PL1_GDC",
                         isWarning: "0",
                         name: "平罗一期",
                         isMute: false,
                    },
                    {
                         id: "PL2_GDC",
                         isWarning: "0",
                         name: "平罗二期",
                         isMute: false,
                    },
                    {
                         id: "MCH_GDC",
                         isWarning: "0",
                         name: "马场湖",
                         isMute: false,
                    },
                    {
                         id: "XH_GDC",
                         isWarning: "0",
                         name: "宣和",
                         isMute: false,
                    },
               ],
               activeTab: "MHS_FDC", // 升压站弹窗所停留的tab页
               showWarningMask: false, // 是否显示全屏报警遮罩
          }
     },

     //计算state的值  获取: this.$store.getters.xxxx
     getters: {
          windturbinelist(state) {
               return state.windturbinelist;
          },
          current(state) {
               return state.current;
          },
          token(state) {
               return state.token;
          },
          syzAlarmArray(state) {
               return state.syzAlarmArray;
          },
          syzArray(state) {
               return state.syzArray;
          },
     },

     // 数据更新 使用: this.$store.commit('函数名','val')
     mutations: {
          windturbinelist(state, data) {
               state.windturbinelist = data;
          },
          warning(state, data) {
               state.warning = data;
          },
          suggestion(state, data) {
               state.suggestion = data;
          },
          observers(state, data) {
               state.observers = data;
          },
          titleInfo(state, data) {
               state.titleInfo = data;
          },
          current(state, data) {
               state.current = data;
          },
          token(state, data) {
               state.token = data;
          },
          syzAlarmArray(state, data) {
               state.syzAlarmArray = data;
          },
          syzDialogShow(state, data) {
               state.syzDialogShow = data;
          },
          currentWarningCardClass(state, data) {
               state.currentWarningCardClass = data;
          },
          syzBtnFlicker(state, data) {
               state.syzBtnFlicker = data;
          },
          syzArray(state, data) {
               state.syzArray = data;
          },
          activeTab(state, data) {
               state.activeTab = data;
          },
          showWarningMask(state, data) {
               state.showWarningMask = data;
          },
     }
})

export default store;